# This references an OpenJDK container from the
# Docker Hub https://hub.docker.com/_/openjdk/
# Read more about containers on our dev center
# https://devcenter.wercker.com/overview-and-core-concepts/containers/
box: openjdk:8-jdk

# This is the build pipeline. Pipelines are the core of wercker
# Read more about pipelines on our dev center
# https://devcenter.wercker.com/development/pipelines/
build:
  # Steps make up the actions in your pipeline
  # Read more about steps on our dev center:
  # https://devcenter.wercker.com/development/steps/
  steps:
    # https://github.com/wercker/step-maven
    - wercker/maven:
      goals: clean compile
      version: 3.5.2
    - wercker/maven:
      goals: install
      cache_repo: true
      version: 3.5.2
    - internal/docker-push:
      username: $DOCKER_USERNAME
      password: $DOCKER_PASSWORD
      repository: elbakouchi/kublog
      tag: kublog-app
        #    repository: quay.io/myuser/myapp  
